> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Serve Call Recording

> Serve call recording files from MinIO (AUTHENTICATED).

This endpoint requires authentication and verifies the user has access
to the recording based on tenant ownership.

Path format: /storage/call-recordings/{tenant_id}/calls/{call_id}/{filename}
Example: /storage/call-recordings/8a18c5c3-f449-46ae-bb71-5e813b0ebb44/calls/67403062-3f47-45cb-9f6b-cd92c07c92bc/recording.mp4



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /storage/call-recordings/{path}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /storage/call-recordings/{path}:
    get:
      tags:
        - storage
      summary: Serve Call Recording
      description: >-
        Serve call recording files from MinIO (AUTHENTICATED).


        This endpoint requires authentication and verifies the user has access

        to the recording based on tenant ownership.


        Path format:
        /storage/call-recordings/{tenant_id}/calls/{call_id}/{filename}

        Example:
        /storage/call-recordings/8a18c5c3-f449-46ae-bb71-5e813b0ebb44/calls/67403062-3f47-45cb-9f6b-cd92c07c92bc/recording.mp4
      operationId: serve_call_recording_storage_call_recordings__path__get
      parameters:
        - name: path
          in: path
          required: true
          schema:
            type: string
            title: Path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````